Skip to main content
POST
/
v2
/
check-sessions
/
trigger
Trigger a new check session
curl --request POST \
  --url https://api.checklyhq.com/v2/check-sessions/trigger \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "target": {
    "matchTags": [
      [
        "<string>"
      ]
    ],
    "checkId": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ]
  },
  "refreshCache": false
}
'
{
  "sessions": [
    {
      "checkSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "checkSessionLink": "<string>",
      "checkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "startedAt": "2023-11-07T05:31:56Z",
      "stoppedAt": "2023-11-07T05:31:56Z",
      "timeElapsed": 123,
      "runLocations": [
        "<string>"
      ],
      "name": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string<uuid>

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Body

application/json
target
object

Optional filters selecting which checks to trigger.

refreshCache
boolean
default:false

Refresh the selected checks cache before triggering the sessions.

Response

Created

sessions
object[]
required